tool
extends Area2D

export(String) var map_scene_path

signal map_changed(map_path)



func _on_MapChanger_body_entered(_body):
	emit_signal("map_changed", map_scene_path)


func _get_configuration_warning() -> String:
	return "The map scene property can't be empty" if not map_scene_path else ""
